/* ----------------------------------------------------------------------------
 * file: User.java
 * project: ConfigDB-BusinessSchema
 * by:  Josef Maier, Marc Lewerentz, Anett Spring
 *
 * Copyright (c) 2004 - 2014, All rights reserved.
 * Max-Planck-Institut für Plasmaphysik. W7-X CoDaC group.
 * ----------------------------------------------------------------------------
 */
package de.mpg.ipp.codac.business.schema.testcase;

import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;
import javax.jdo.annotations.Unique;


@PersistenceCapable
public class User
    extends W7XDbNamedObject {

    static final long serialVersionUID = 0;

    @Persistent
    @Unique
    private String uid;

    /**
     * Instantiates a new user.
     */
    public User() {
        setDefault();
    }

    @Override
    public void setDefault() {
        super.setDefault();
        this.uid = "";
    }

    /**
     * Gets the uid.
     * 
     * @return the uid
     */
    public String getUid() {
        return uid;
    }

    @Override
    public boolean equals( Object obj ) {
        if (this == obj)
            return true;
        return obj instanceof User && ((User) obj).uid.equals(uid);
    }

    @Override
    public int hashCode() {
        return uid.hashCode();
    }

    /**
     * Sets the user id.
     * 
     * @param uid
     *            the new uid
     */
    public void setUid( String uid ) {
        this.uid = uid;
    }

}
